umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
UMLArtifactTypeWidget Class Reference

`#include <umlartifacttypewidget.h>`

Inheritance diagram for UMLArtifactTypeWidget:

## Public Types
typedef QMap< UMLArtifact::Draw_Type, QRadioButton * > | ButtonMap

## Public Member Functions
| UMLArtifactTypeWidget (UMLArtifact *a, QWidget *parent=0)
| ~UMLArtifactTypeWidget ()
void | addToLayout (QVBoxLayout *layout)
void | apply ()

## Protected Attributes
QGroupBox * | m_box
UMLArtifact * | m_object
ButtonMap | m_buttons

## Member Typedef Documentation

## ◆ ButtonMap

typedef QMap<UMLArtifact::Draw_Type,QRadioButton*> UMLArtifactTypeWidget::ButtonMap

## Constructor & Destructor Documentation

## ◆ UMLArtifactTypeWidget()

UMLArtifactTypeWidget::UMLArtifactTypeWidget | ( | UMLArtifact * | a,
|  | QWidget * | parent = 0 )
| explicit

## ◆ ~UMLArtifactTypeWidget()

UMLArtifactTypeWidget::~UMLArtifactTypeWidget | ( |  | ) |

## Member Function Documentation

## ◆ addToLayout()

void UMLArtifactTypeWidget::addToLayout | ( | QVBoxLayout * | layout | ) |

Add this widget to a given layout.

Parameters

  layout | The layout to which the widget should be added

## ◆ apply()

void UMLArtifactTypeWidget::apply | ( |  | ) |

Apply changes to the related UMLObject.

## Member Data Documentation

## ◆ m_box

QGroupBox* UMLArtifactTypeWidget::m_box
| protected

## ◆ m_buttons

ButtonMap UMLArtifactTypeWidget::m_buttons
| protected

## ◆ m_object

UMLArtifact* UMLArtifactTypeWidget::m_object
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/umlartifacttypewidget.h
- umbrello/dialogs/widgets/umlartifacttypewidget.cpp